$(document).ready(function(){
    if($('#banner').length > 0){
        $('#banner').bxSlider({
            infiniteLoop:false,
            speed: 300,
            auto:true,
            pager:true,
            prevText: '',
            nextText: ''
        });
    }
       
    $("#captcha").click(function(){
        resetCaptcha();
    });
   
    $("#language").change(function(){
        $.ajax({
            url : "./index.php?c=utility&m=setLanguage",
            type : "get",
            dataType : "text",
            data:{
                "language":$("#language").val()
            },
            success:function(data){
                window.location.reload(true);
            }
        })

        return false;
    });


    $("#sign").submit(function(){
        var options = {
            beforeSubmit : checkSign,
            dataType : "json",
            type : "post",
            cache: false,
            success: function(responseText){
                if(responseText.msg.indexOf('Error:') == -1){
                    showNotice('success',responseText.msg, 2000);
                    window.location.href = "./index.php?c=frontTicket&m=signed&id="+responseText.id+"&key="+responseText.key;
                }
                else{
                    showNotice('error',responseText.msg, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });

    $("#viewLogin").submit(function(){
        var options = {
            url: "./index.php?c=frontTicket&m=checkLogin",
            beforeSubmit : checkViewLogin,
            dataType : "json",
            type : "get",
            success: function(responseText){
                if(responseText.msg.indexOf('Error:') == -1){
                    showNotice('success',responseText.msg, 2000);
                    window.location.href = "index.php?c=frontTicket&m=view&id="+responseText.id+"&key="+responseText.key;
                }else{
                    showNotice('error',responseText.msg, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });
    $('#replyTicket').submit(function() {
        var options = {
            beforeSubmit :checkReply,
            success: function(responseText) {
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText, 2000);
                    window.location.reload(true);
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });

    $("#search-article").submit(function(){
        var options = {
            beforeSubmit : checkSearchArticle,
            success: function(responseText){
                $("#search_result").html(responseText);
                $("#search_result").show();
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });

    $("#closeTicket").submit(function(){
        var options = {
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    $("#resolved").html(responseText);
                    setTimeout( function(){
                        window.location.reload(true);
                    }, (100) );
                }else{
                    $("#resolved").html(responseText);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });
    $("#updateProfile").submit(function(){
        var options = {
            beforeSubmit : checkUpdateProfile,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice( 'success', responseText,2000);
                    window.location.href ="index.php?c=frontTicket&m=profile";
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });
});
function checkUpdateProfile(){
    var    c_first_name = checkObjBlank("#first_name");
    var c_email = checkObjBlank("#email");

    if(c_first_name && c_email ){
        if(checkObjLen("#first_name", 3) == false){
            showNotice('error',"Your name length can be no less than 3", 2000);
            return false;
        }
        if( checkObjEmail("#email") == false){
            showNotice('error',"Not a valid email address", 2000);
            return false;
        }
        if(checkObjLen("#email", 5) == false){
            showNotice('error',"Your email address length can be no less than 5", 2000);
            return false;
        }
        showNotice();
        return true;
    }else{
        showNotice('error',required_error, 2000);
        return false;
    }
}
function updateTicketStatus(id,key,status){
    $.ajax({
        url : "index.php?c=fontTicket&updateStatus",
        type : "post",
        dataType : "text",
        data : "id="+id+"&key" + key + "&status="+ status,
        success:function(data){
            if(data.indexOf('Error:') == -1){
                showNotice('success',data, 2000);
            }else{
                showNotice('error',data, 2000);
            }
        }
    });
    return false;
}

function clickIpt(obj){
    if($(obj).length == 0){
        return true;
    }
    $(obj).css("border-color","#CDCDCD");
    return true;
}

function checkSign(){    
    var c_first_name = true;
    if($("#first_name").is(":visible")){
        c_first_name = checkObjBlank("#first_name");
    }
    var c_email = checkObjBlank("#email");
    var c_subject = checkObjBlank("#subject");
    var c_message = checkObjBlank("#message");

    var c_vcode = true;
    if($('#vcode').length > 0){
        c_vcode = checkObjBlank("#vcode");
    }

    if(c_first_name && c_email  && c_subject && c_message && c_vcode){
        if( checkObjEmail("#email") == false){
            showNotice('error',"Not a valid email address", 2000);
            return false;
        }
        if($("#first_name").is(":visible")){
            if(checkObjLen("#first_name", 3) == false){
                showNotice('error',"Your name length can be no less than 3", 2000);
                return false;
            }
        }

        if(checkObjLen("#email", 5) == false){
            showNotice('error',"Your email address length can be no less than 5", 2000);
            return false;
        }

        if(checkObjLen("#subject", 5) == false){
            showNotice('error',"Subject length can can be no less than 5", 2000);
            return false;
        }

        if(checkObjLen("#message", 5) == false){
            showNotice('error',"Message length can be no less than 20", 2000);
            return false;
        }

        showNotice();
        return true;
    }else{
        showNotice('error',required_error, 2000);
        return false;
    }
}

function checkReply(){
    if(checkObjLen("#message", 10) == false){
        showNotice('error',"Message length can be no less than 10", 2000);
        return false;
    }

    if(checkObjLen("#vcode", 4) == false){
        showNotice('error',"Captcha code length can be no less than 4", 2000);
        return false;
    }
    showNotice();
    return true;
}

function checkSearchArticle(){
    var c_key_word = checkObjBlank("#key_word");
    if(!c_key_word){
        return true;
    }else{
        showNotice("error","The key word is empty!",3000);
        return false;
    }
}

function checkViewLogin(){
    var c_ticket =  checkObjBlank("#id");
    var c_key =  checkObjBlank("#key");

    if(c_ticket && c_key){
        showNotice();
        return true;
    }else{
        showNotice('error',required_error, 2000);
        return false;
    }
}

function voteArticle(rate,id){
    $.ajax({
        url : "index.php?c=frontArticle&m=vote",
        type : "get",
        dataType : "json",
        data : "rate=" + rate + "&id=" + id,
        success:function(data){
            if(data.show.indexOf('Error:') == -1){
                $("#rate").hide();
                $("#star_img").attr("src","./media/images/star_"+data.rating+".png");
                $("#votes").html(data.vote);
            }else{
                showNotice('error',data, 2000);
            }
        }
    })
}

function checkSearchArticle(){
    var key_word=$("#key_word").val();
    if($.trim(key_word).length < 2){
        return false;
    }else{
        return true;
    }
}

function showNotice(status, noticeText, timeout){
    if($('#notification-box').length == 0){
        return false;
    }
    
    if($("#notification-box").is(":visible")){
        setTimeout( function(){
            $("#notification-box").fadeOut("fast");
        }, ( 1000 ) );
    }
    
    if(status == null || status == ""){
        status = "success";
    } 
    
    $("#notification").removeClass();
    $("#notification").addClass(status);
    
    if(noticeText == null || noticeText == ""){ 
        $("#notification").html("Processing your request. Please wait...");
    }else{
        $("#notification").html(noticeText);
    }
    
    $("#notification-box").fadeIn("slow");
    
    $("#notification-box").css("height", $(document).height());
    $("#notification").css("left", ($(document).width()- $("#notification").width())/2+"px");
    $("#notification").css("top", ($(window).height()- 60)/2+"px");
    
    if(timeout != null && timeout > 0){
        setTimeout( function(){
            $("#notification-box").fadeOut("slow");
        }, ( timeout ) );
    }
    
    return false;
}

function hideNotice(){
    $("#notification-box").fadeOut();
    return false;
}

function checkObjBlank(obj){
    if($(obj).length == 0){
        return true;
    }
    if($(obj).val() == ''){
        $(obj).css("border-color","red");
        return false;
    }
    else{
        $(obj).css("border-color","#CDCDCD");
        return true;
    }
}

function checkObjLen(obj, minLen){
    if($(obj).val().length < minLen){
        $(obj).css("border-color","red");
        return false;
    }
    else{
        $(obj).css("border-color","#CDCDCD");
        return true;
    }
}

function checkObjEmail(obj){
    if($(obj).val().search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1){
        $(obj).css("border-color","#CDCDCD");
        return true;
    }
    else{
        $(obj).css("border-color","red");
        return false;
    }
}

function showWaiting(){
    $('#waiting-box').css("display", "inline");
}

function hideWaiting(){
    $('#waiting-box').css("display", "none");
}

function resetCaptcha(){
    if($('#captcha').length > 0){
        $("#captcha").attr('src', './index.php?c=utility&m=createCaptcha&r=' + Math.round(Math.random() * 10000));
    }
}

function checkCustomer(email){
    if(email.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) == -1){
        return false;
    }
    $.ajax({
        url : "index.php?c=frontTicket&m=checkCustomer",
        type : "get",
        dataType : "text",
        data:{
            "email":email
        },
        success:function(data){
            if( data == "TRUE"){
                $("#more-information").hide("fast");
            }else{
                $("#more-information").show("fast");
            }
        }
    })
    
    return false;
}


function showObj(obj, tipObj){
    if(tipObj != null){
        if(obj.is(":visible") == false){
            tipObj.html("Hide more &lt;&lt;");
        }else{
            tipObj.html("Show more &gt;&gt;");
        }
    }
    
    obj.slideToggle();
}